#!/bin/ash
[ -z "$mac" ] && exit
[ -z "$ip" -a -z "$ua" ] && exit

baseDir="/var/stats"
if [ -z "$ssid" ] ; then
  find $baseDir -type d -name "$mac" | awk -v ip="$ip" ua="$ua" '{
    system("echo -n \""ua"\" > "$0"/ua")
    system("echo -n \""ip"\" > "$0"/ip")
  }'
else
  sessionDir="$baseDir/ssid${ssid}/sessions/${mac}"
  mkdir -p "$sessionDir" && \
    echo -n "$ua" > "$sessionDir/ua" && \
    echo -n "`date -u +%s`" > "$sessionDir/updatedAt"
fi
